Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.functions
Class Expression

    java.lang.Object
      unity.functions.Expression

Direct Known Subclasses:
  Aggregate_Function, ConstantValue, Divide, ExtractAttribute, F_Date, F_Trim, F_Upper, Function, MatchFunction, Minus, Modulus, Multiply, Plus

    public abstract class Expression

extends java.lang.Object

Constructor Summary
`Expression()`

Method Summary
`java.lang.Object` | `computeType(java.lang.Object input)`
`abstract java.lang.Object` | `evaluate(Tuple t)`
`static java.util.ArrayList` | `getAttributeIndexReferences(Expression exp)`
`Expression` | `getChild(int index)`
`int[]` | `getExprLocs()`
`int` | `getNumChildren()`
`Expression` | `getParent()`
`int` | `getReturnType()`
`boolean` | `hasChildren()`
`void` | `setParent(Expression parent)`
`void` | `setReturnType(int iType)`
`java.lang.String` | `toString(Relation relation)`
`java.lang.String` | `toString(Relation relation, Attribute outputAttribute)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expression

    public Expression()

Method Detail

### evaluate

    public abstract java.lang.Object evaluate(Tuple t)

### getReturnType

    public int getReturnType()

### setReturnType

    public void setReturnType(int iType)

### getParent

    public Expression getParent()

### setParent

    public void setParent(Expression parent)

### hasChildren

    public boolean hasChildren()

### getNumChildren

    public int getNumChildren()

### getChild

    public Expression getChild(int index)

### computeType

    public java.lang.Object computeType(java.lang.Object input)

### toString

    public java.lang.String toString(Relation relation)

### toString

    public java.lang.String toString(Relation relation,
                                     Attribute outputAttribute)

### getAttributeIndexReferences

    public static java.util.ArrayList getAttributeIndexReferences(Expression exp)

### getExprLocs

    public int[] getExprLocs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD